Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_neighbour_mesh.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_neighbour_mesh.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_neighbour_mesh.py	(revision 5892)
@@ -1,5 +1,3 @@
 #!/usr/bin/env python
-
-
 
 #FIXME: Seperate the tests for mesh and general_mesh
@@ -13,5 +11,5 @@
 from mesh_factory import rectangular
 from anuga.config import epsilon
-from Numeric import allclose, array, Int
+import numpy
 
 from anuga.coordinate_transforms.geo_reference import Geo_reference
@@ -20,5 +18,5 @@
 
 def distance(x, y):
-    return sqrt( sum( (array(x)-array(y))**2 ))
+    return sqrt( sum( (numpy.array(x)-numpy.array(y))**2 ))
 
 class Test_Mesh(unittest.TestCase):
@@ -63,14 +61,14 @@
         #Normals
         normals = mesh.get_normals()
-        assert allclose(normals[0, 0:2], [3.0/5, 4.0/5])
-        assert allclose(normals[0, 2:4], [-1.0, 0.0])
-        assert allclose(normals[0, 4:6], [0.0, -1.0])
-
-        assert allclose(mesh.get_normal(0,0), [3.0/5, 4.0/5])
-        assert allclose(mesh.get_normal(0,1), [-1.0, 0.0])
-        assert allclose(mesh.get_normal(0,2), [0.0, -1.0])
+        assert numpy.allclose(normals[0, 0:2], [3.0/5, 4.0/5])
+        assert numpy.allclose(normals[0, 2:4], [-1.0, 0.0])
+        assert numpy.allclose(normals[0, 4:6], [0.0, -1.0])
+
+        assert numpy.allclose(mesh.get_normal(0,0), [3.0/5, 4.0/5])
+        assert numpy.allclose(mesh.get_normal(0,1), [-1.0, 0.0])
+        assert numpy.allclose(mesh.get_normal(0,2), [0.0, -1.0])
 
         #Edge lengths
-        assert allclose(mesh.edgelengths[0], [5.0, 3.0, 4.0])
+        assert numpy.allclose(mesh.edgelengths[0], [5.0, 3.0, 4.0])
 
 
@@ -81,16 +79,16 @@
 
         V = mesh.get_vertex_coordinates()
-        assert allclose(V, [ [0.0, 0.0],
-                             [4.0, 0.0],
-                             [0.0, 3.0] ])
+        assert numpy.allclose(V, [ [0.0, 0.0],
+                                   [4.0, 0.0],
+                                   [0.0, 3.0] ])
 
         V0 = mesh.get_vertex_coordinate(0, 0)
-        assert allclose(V0, [0.0, 0.0])
+        assert numpy.allclose(V0, [0.0, 0.0])
 
         V1 = mesh.get_vertex_coordinate(0, 1)
-        assert allclose(V1, [4.0, 0.0])
+        assert numpy.allclose(V1, [4.0, 0.0])
 
         V2 = mesh.get_vertex_coordinate(0, 2)
-        assert allclose(V2, [0.0, 3.0])
+        assert numpy.allclose(V2, [0.0, 3.0])
 
 
@@ -237,8 +235,8 @@
 
         mesh = Mesh(points, vertices,use_inscribed_circle=False)
-        assert allclose(mesh.radii[0],sqrt(3.0)/3),'Steve''s doesn''t work'
+        assert numpy.allclose(mesh.radii[0],sqrt(3.0)/3),'Steve''s doesn''t work'
 
         mesh = Mesh(points, vertices,use_inscribed_circle=True)
-        assert allclose(mesh.radii[0],sqrt(3.0)/3),'inscribed circle doesn''t work'
+        assert numpy.allclose(mesh.radii[0],sqrt(3.0)/3),'inscribed circle doesn''t work'
 
     def test_inscribed_circle_rightangle_triangle(self):
@@ -252,8 +250,8 @@
 
         mesh = Mesh(points, vertices,use_inscribed_circle=False)
-        assert allclose(mesh.radii[0],5.0/6),'Steve''s doesn''t work'
+        assert numpy.allclose(mesh.radii[0],5.0/6),'Steve''s doesn''t work'
 
         mesh = Mesh(points, vertices,use_inscribed_circle=True)
-        assert allclose(mesh.radii[0],1.0),'inscribed circle doesn''t work'
+        assert numpy.allclose(mesh.radii[0],1.0),'inscribed circle doesn''t work'
 
 
@@ -269,5 +267,5 @@
         assert mesh.areas[0] == 2.0
 
-        assert allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])
+        assert numpy.allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])
 
 
@@ -303,8 +301,8 @@
         assert mesh.edgelengths[1,2] == sqrt(8.0)
 
-        assert allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])
-        assert allclose(mesh.centroid_coordinates[1], [4.0/3, 4.0/3])
-        assert allclose(mesh.centroid_coordinates[2], [8.0/3, 2.0/3])
-        assert allclose(mesh.centroid_coordinates[3], [2.0/3, 8.0/3])
+        assert numpy.allclose(mesh.centroid_coordinates[0], [2.0/3, 2.0/3])
+        assert numpy.allclose(mesh.centroid_coordinates[1], [4.0/3, 4.0/3])
+        assert numpy.allclose(mesh.centroid_coordinates[2], [8.0/3, 2.0/3])
+        assert numpy.allclose(mesh.centroid_coordinates[3], [2.0/3, 8.0/3])
 
     def test_mesh_and_neighbours(self):
@@ -697,6 +695,6 @@
         get values based on triangle lists.
         """
+
         from mesh_factory import rectangular
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -716,6 +714,4 @@
     def test_boundary_polygon(self):
         from mesh_factory import rectangular
-        #from mesh import Mesh
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -727,7 +723,7 @@
 
         assert len(P) == 8
-        assert allclose(P, [[0.0, 0.0], [0.5, 0.0], [1.0, 0.0],
-                            [1.0, 0.5], [1.0, 1.0], [0.5, 1.0],
-                            [0.0, 1.0], [0.0, 0.5]])
+        assert numpy.allclose(P, [[0.0, 0.0], [0.5, 0.0], [1.0, 0.0],
+                                  [1.0, 0.5], [1.0, 1.0], [0.5, 1.0],
+                                  [0.0, 1.0], [0.0, 0.5]])
         for p in points:
             #print p, P
@@ -736,7 +732,4 @@
 
     def test_boundary_polygon_II(self):
-        from Numeric import zeros, Float
-        
-
         #Points
         a = [0.0, 0.0] #0
@@ -764,5 +757,5 @@
 
         assert len(P) == 8
-        assert allclose(P, [a, d, f, i, h, e, c, b])
+        assert numpy.allclose(P, [a, d, f, i, h, e, c, b])
 
         for p in points:
@@ -774,7 +767,4 @@
         """Same as II but vertices ordered differently
         """
-
-        from Numeric import zeros, Float
-
 
         #Points
@@ -804,5 +794,5 @@
 
         assert len(P) == 8
-        assert allclose(P, [a, d, f, i, h, e, c, b])
+        assert numpy.allclose(P, [a, d, f, i, h, e, c, b])
 
         for p in points:
@@ -815,7 +805,4 @@
 	is partitioned using pymetis.
         """
-
-        from Numeric import zeros, Float
-
 
         #Points
@@ -847,5 +834,5 @@
 	
 	# Note that point e appears twice!
-        assert allclose(P, [a, d, f, e, g, h, e, c, b])
+        assert numpy.allclose(P, [a, d, f, e, g, h, e, c, b])
 
         for p in points:
@@ -864,5 +851,4 @@
         """
 
-        from Numeric import zeros, Float
         from mesh_factory import rectangular        
 
@@ -907,6 +893,4 @@
         
         """
-        from Numeric import zeros, Float
-        
 
         #Points
@@ -955,6 +939,6 @@
         
         assert len(P) == 8
-        assert allclose(P, [a, d, f, i, h, e, c, b])
-        assert allclose(P, [(0.0, 0.0), (0.5, 0.0), (1.0, 0.0), (1.5, 0.5), (1.0, 1.0), (0.5, 0.5), (0.0, 1.0), (0.0, 0.5)])
+        assert numpy.allclose(P, [a, d, f, i, h, e, c, b])
+        assert numpy.allclose(P, [(0.0, 0.0), (0.5, 0.0), (1.0, 0.0), (1.5, 0.5), (1.0, 1.0), (0.5, 0.5), (0.0, 1.0), (0.0, 0.5)])
         
 
@@ -998,5 +982,5 @@
                   [  52341.70703125,  38563.39453125]]
 
-        ##points = ensure_numeric(points, Int)/1000  # Simplify for ease of interpretation        
+        ##points = ensure_numeric(points, int)/1000  # Simplify for ease of interpretation        
 
         triangles = [[19, 0,15],
@@ -1101,5 +1085,5 @@
                   [  35406.3359375 ,  79332.9140625 ]]
 
-        scaled_points = ensure_numeric(points, Int)/1000  # Simplify for ease of interpretation
+        scaled_points = ensure_numeric(points, int)/1000  # Simplify for ease of interpretation
 
         triangles = [[ 0, 1, 2],
@@ -1142,5 +1126,5 @@
             assert is_inside_polygon(p, P)            
 
-        assert allclose(P, Pref)    
+        assert numpy.allclose(P, Pref)    
 
     def test_lone_vertices(self):
@@ -1194,5 +1178,5 @@
         boundary_polygon = mesh.get_boundary_polygon()
 
-        assert allclose(absolute_points, boundary_polygon)
+        assert numpy.allclose(absolute_points, boundary_polygon)
 
     def test_get_triangle_containing_point(self):
@@ -1241,5 +1225,5 @@
 
         neighbours = mesh.get_triangle_neighbours(0)
-        assert allclose(neighbours, [-1,1,-1])
+        assert numpy.allclose(neighbours, [-1,1,-1])
         neighbours = mesh.get_triangle_neighbours(-10)
         assert neighbours == []
@@ -1290,14 +1274,14 @@
             for x in L:
                 if x.triangle_id % 2 == 0:
-                    assert allclose(x.length, ceiling-y_line)
+                    assert numpy.allclose(x.length, ceiling-y_line)
                 else:
-                    assert allclose(x.length, y_line-floor)                
+                    assert numpy.allclose(x.length, y_line-floor)                
 
                 
-                assert allclose(x.normal, [0,-1])
-
-                assert allclose(x.segment[1][0], x.segment[0][0] + x.length)
-                assert allclose(x.segment[0][1], y_line)
-                assert allclose(x.segment[1][1], y_line)                
+                assert numpy.allclose(x.normal, [0,-1])
+
+                assert numpy.allclose(x.segment[1][0], x.segment[0][0] + x.length)
+                assert numpy.allclose(x.segment[0][1], y_line)
+                assert numpy.allclose(x.segment[1][1], y_line)                
 
                 assert x.triangle_id in intersected_triangles
@@ -1306,5 +1290,5 @@
 
             msg = 'Segments do not add up'
-            assert allclose(total_length, 2), msg
+            assert numpy.allclose(total_length, 2), msg
             
 
@@ -1341,10 +1325,10 @@
         total_length = 0
         for x in L:
-            assert allclose(x.length, 1.0)
-            assert allclose(x.normal, [0,-1])
-
-            assert allclose(x.segment[1][0], x.segment[0][0] + x.length)
-            assert allclose(x.segment[0][1], y_line)
-            assert allclose(x.segment[1][1], y_line)                            
+            assert numpy.allclose(x.length, 1.0)
+            assert numpy.allclose(x.normal, [0,-1])
+
+            assert numpy.allclose(x.segment[1][0], x.segment[0][0] + x.length)
+            assert numpy.allclose(x.segment[0][1], y_line)
+            assert numpy.allclose(x.segment[1][1], y_line)                            
 
 
@@ -1355,5 +1339,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 2), msg
+        assert numpy.allclose(total_length, 2), msg
         
 
@@ -1395,10 +1379,10 @@
         for x in L:
             if x.triangle_id == 1:
-                assert allclose(x.length, 1)        
-                assert allclose(x.normal, [0, -1])
+                assert numpy.allclose(x.length, 1)        
+                assert numpy.allclose(x.normal, [0, -1])
                 
             if x.triangle_id == 5:
-                assert allclose(x.length, 0.5)
-                assert allclose(x.normal, [0, -1])
+                assert numpy.allclose(x.length, 0.5)
+                assert numpy.allclose(x.normal, [0, -1])
 
 
@@ -1408,5 +1392,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 1.5), msg            
+        assert numpy.allclose(total_length, 1.5), msg            
 
 
@@ -1442,7 +1426,7 @@
         total_length = 0
         for i, x in enumerate(L): 
-            assert allclose(x.length, s2)
-            assert allclose(x.normal, [-s2, -s2])
-            assert allclose(sum(x.normal**2), 1)
+            assert numpy.allclose(x.length, s2)
+            assert numpy.allclose(x.normal, [-s2, -s2])
+            assert numpy.allclose(sum(x.normal**2), 1)
             
             assert x.triangle_id in intersected_triangles
@@ -1451,5 +1435,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 4*s2), msg
+        assert numpy.allclose(total_length, 4*s2), msg
 
 
@@ -1466,7 +1450,7 @@
         total_length = 0
         for i, x in enumerate(L): 
-            assert allclose(x.length, s2)
-            assert allclose(x.normal, [s2, s2])
-            assert allclose(sum(x.normal**2), 1)
+            assert numpy.allclose(x.length, s2)
+            assert numpy.allclose(x.normal, [s2, s2])
+            assert numpy.allclose(sum(x.normal**2), 1)
             
             assert x.triangle_id in intersected_triangles
@@ -1475,5 +1459,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 4*s2), msg                    
+        assert numpy.allclose(total_length, 4*s2), msg                    
 
 
@@ -1491,7 +1475,7 @@
         total_length = 0
         for i, x in enumerate(L): 
-            assert allclose(x.length, 2*s2)
-            assert allclose(x.normal, [-s2, s2])
-            assert allclose(sum(x.normal**2), 1)
+            assert numpy.allclose(x.length, 2*s2)
+            assert numpy.allclose(x.normal, [-s2, s2])
+            assert numpy.allclose(sum(x.normal**2), 1)
             
             assert x.triangle_id in intersected_triangles
@@ -1500,5 +1484,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 4*s2), msg                        
+        assert numpy.allclose(total_length, 4*s2), msg                        
 
 
@@ -1515,7 +1499,7 @@
         total_length = 0
         for i, x in enumerate(L): 
-            assert allclose(x.length, 2*s2)
-            assert allclose(x.normal, [s2, -s2])
-            assert allclose(sum(x.normal**2), 1)
+            assert numpy.allclose(x.length, 2*s2)
+            assert numpy.allclose(x.normal, [s2, -s2])
+            assert numpy.allclose(sum(x.normal**2), 1)
             
             assert x.triangle_id in intersected_triangles
@@ -1524,5 +1508,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 4*s2), msg                        
+        assert numpy.allclose(total_length, 4*s2), msg                        
 
 
@@ -1540,7 +1524,7 @@
         total_length = 0
         for i, x in enumerate(L): 
-            assert allclose(x.length, s2)
-            assert allclose(x.normal, [-s2, -s2])
-            assert allclose(sum(x.normal**2), 1)
+            assert numpy.allclose(x.length, s2)
+            assert numpy.allclose(x.normal, [-s2, -s2])
+            assert numpy.allclose(sum(x.normal**2), 1)
             
             assert x.triangle_id in intersected_triangles
@@ -1549,5 +1533,5 @@
 
         msg = 'Segments do not add up'
-        assert allclose(total_length, 2*s2), msg
+        assert numpy.allclose(total_length, 2*s2), msg
 
 
@@ -1562,6 +1546,6 @@
         total_length = 0
         for i, x in enumerate(L): 
-            assert allclose(x.normal, [-s2, -s2])
-            assert allclose(sum(x.normal**2), 1)
+            assert numpy.allclose(x.normal, [-s2, -s2])
+            assert numpy.allclose(sum(x.normal**2), 1)
 
             msg = 'Triangle %d' %x.triangle_id + ' is not in %s' %(intersected_triangles)
@@ -1598,6 +1582,6 @@
         assert len(L) == 1
         assert L[0].triangle_id == 3
-        assert allclose(L[0].length, 0.5)        
-        assert allclose(L[0].normal, [-1,0])                
+        assert numpy.allclose(L[0].length, 0.5)        
+        assert numpy.allclose(L[0].normal, [-1,0])                
 
 
@@ -1610,6 +1594,6 @@
         assert len(L) == 1
         assert L[0].triangle_id == 3
-        assert allclose(L[0].length, 0.4)
-        assert allclose(L[0].normal, [-1,0])
+        assert numpy.allclose(L[0].length, 0.4)
+        assert numpy.allclose(L[0].normal, [-1,0])
 
         intersected_triangles = [3]
@@ -1623,6 +1607,6 @@
         assert len(L) == 1
         assert L[0].triangle_id == 3
-        assert allclose(L[0].length, 0.4)
-        assert allclose(L[0].normal, [1,0])                
+        assert numpy.allclose(L[0].length, 0.4)
+        assert numpy.allclose(L[0].normal, [1,0])                
         
 
@@ -1658,10 +1642,10 @@
         for x in L:
             if x.triangle_id == 3:
-                assert allclose(x.length, 0.5)        
-                assert allclose(x.normal, [-1,0])
+                assert numpy.allclose(x.length, 0.5)        
+                assert numpy.allclose(x.normal, [-1,0])
                 
             if x.triangle_id == 2:
-                assert allclose(x.length, s2)
-                assert allclose(x.normal, [-s2,-s2])
+                assert numpy.allclose(x.length, s2)
+                assert numpy.allclose(x.normal, [-s2,-s2])
 
 
@@ -1696,18 +1680,18 @@
         for x in L:
             if x.triangle_id == 3:
-                assert allclose(x.length, 0.5)        
-                assert allclose(x.normal, [-1,0])
+                assert numpy.allclose(x.length, 0.5)        
+                assert numpy.allclose(x.normal, [-1,0])
                 
             if x.triangle_id == 2:
                 msg = str(x.length)
-                assert allclose(x.length, s2), msg
-                assert allclose(x.normal, [-s2,-s2])
+                assert numpy.allclose(x.length, s2), msg
+                assert numpy.allclose(x.normal, [-s2,-s2])
 
             if x.triangle_id == 5:
-                segvec = array([line[2][0]-1,
-                                line[2][1]-1])
+                segvec = numpy.array([line[2][0]-1,
+                                      line[2][1]-1])
                 msg = str(x.length)
-                assert allclose(x.length, sqrt(sum(segvec**2))), msg
-                assert allclose(x.normal, [-s2,-s2])                                                
+                assert numpy.allclose(x.length, sqrt(sum(segvec**2))), msg
+                assert numpy.allclose(x.normal, [-s2,-s2])                                                
 
 
@@ -1747,25 +1731,25 @@
         for x in L:
             if x.triangle_id == 3:
-                assert allclose(x.length, 0.5)        
-                assert allclose(x.normal, [-1,0])
+                assert numpy.allclose(x.length, 0.5)        
+                assert numpy.allclose(x.normal, [-1,0])
                 
             if x.triangle_id == 2:
                 msg = str(x.length)
-                assert allclose(x.length, s2), msg
-                assert allclose(x.normal, [-s2,-s2])
+                assert numpy.allclose(x.length, s2), msg
+                assert numpy.allclose(x.normal, [-s2,-s2])
 
             if x.triangle_id == 5:
                 if x.segment == ((1.0, 1.0), (1.25, 0.75)):                    
-                    segvec = array([line[2][0]-1,
-                                    line[2][1]-1])
+                    segvec = numpy.array([line[2][0]-1,
+                                          line[2][1]-1])
                     msg = str(x.length)
-                    assert allclose(x.length, sqrt(sum(segvec**2))), msg
-                    assert allclose(x.normal, [-s2,-s2])
+                    assert numpy.allclose(x.length, sqrt(sum(segvec**2))), msg
+                    assert numpy.allclose(x.normal, [-s2,-s2])
                 elif x.segment == ((1.25, 0.75), (1.5, 1.0)):
-                    segvec = array([1.5-line[2][0],
-                                    1.0-line[2][1]])
+                    segvec = numpy.array([1.5-line[2][0],
+                                          1.0-line[2][1]])
                     
-                    assert allclose(x.length, sqrt(sum(segvec**2))), msg
-                    assert allclose(x.normal, [s2,-s2])
+                    assert numpy.allclose(x.length, sqrt(sum(segvec**2))), msg
+                    assert numpy.allclose(x.normal, [s2,-s2])
                 else:
                     msg = 'Unknow segment: %s' %x.segment
@@ -1775,6 +1759,6 @@
                     
             if x.triangle_id == 6:
-                assert allclose(x.normal, [s2,-s2])
-                assert allclose(x.segment, ((1.5, 1.0), (2, 1.5)))
+                assert numpy.allclose(x.normal, [s2,-s2])
+                assert numpy.allclose(x.segment, ((1.5, 1.0), (2, 1.5)))
 
 
@@ -1842,5 +1826,5 @@
             ref_length = line[1][1] - line[0][1]
             #print ref_length, total_length
-            assert allclose(total_length, ref_length)
+            assert numpy.allclose(total_length, ref_length)
 
 
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_pmesh2domain.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_pmesh2domain.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_pmesh2domain.py	(revision 5892)
@@ -3,7 +3,5 @@
 
 import unittest
-
-from Numeric import allclose, array
-
+import numpy
 
 #from anuga.pyvolution.pmesh2domain import *
@@ -66,7 +64,7 @@
 
          tags = {}
-         b1 =  Dirichlet_boundary(conserved_quantities = array([0.0]))
-         b2 =  Dirichlet_boundary(conserved_quantities = array([1.0]))
-         b3 =  Dirichlet_boundary(conserved_quantities = array([2.0]))
+         b1 =  Dirichlet_boundary(conserved_quantities = numpy.array([0.0]))
+         b2 =  Dirichlet_boundary(conserved_quantities = numpy.array([1.0]))
+         b3 =  Dirichlet_boundary(conserved_quantities = numpy.array([2.0]))
          tags["1"] = b1
          tags["2"] = b2
@@ -80,22 +78,22 @@
          answer = [[0., 8., 0.],
                    [0., 10., 8.]]
-         assert allclose(domain.quantities['elevation'].vertex_values,
-                        answer)
+         assert numpy.allclose(domain.quantities['elevation'].vertex_values,
+                               answer)
 
          #print domain.quantities['stage'].vertex_values
          answer = [[0., 12., 10.],
                    [0., 10., 12.]]
-         assert allclose(domain.quantities['stage'].vertex_values,
-                        answer)
+         assert numpy.allclose(domain.quantities['stage'].vertex_values,
+                               answer)
 
          #print domain.quantities['friction'].vertex_values
          answer = [[0.01, 0.04, 0.03],
                    [0.01, 0.02, 0.04]]
-         assert allclose(domain.quantities['friction'].vertex_values,
-                        answer)
-
-         #print domain.quantities['friction'].vertex_values
-         assert allclose(domain.tagged_elements['dsg'][0],0)
-         assert allclose(domain.tagged_elements['ole nielsen'][0],1)
+         assert numpy.allclose(domain.quantities['friction'].vertex_values,
+                               answer)
+
+         #print domain.quantities['friction'].vertex_values
+         assert numpy.allclose(domain.tagged_elements['dsg'][0],0)
+         assert numpy.allclose(domain.tagged_elements['ole nielsen'][0],1)
 
          self.failUnless( domain.boundary[(1, 0)]  == '1',
@@ -159,7 +157,7 @@
         
          tags = {}
-         b1 =  Dirichlet_boundary(conserved_quantities = array([0.0]))
-         b2 =  Dirichlet_boundary(conserved_quantities = array([1.0]))
-         b3 =  Dirichlet_boundary(conserved_quantities = array([2.0]))
+         b1 =  Dirichlet_boundary(conserved_quantities = numpy.array([0.0]))
+         b2 =  Dirichlet_boundary(conserved_quantities = numpy.array([1.0]))
+         b3 =  Dirichlet_boundary(conserved_quantities = numpy.array([2.0]))
          tags["1"] = b1
          tags["2"] = b2
@@ -174,22 +172,22 @@
          answer = [[0., 8., 0.],
                    [0., 10., 8.]]
-         assert allclose(domain.quantities['elevation'].vertex_values,
-                        answer)
+         assert numpy.allclose(domain.quantities['elevation'].vertex_values,
+                               answer)
 
          #print domain.quantities['stage'].vertex_values
          answer = [[0., 12., 10.],
                    [0., 10., 12.]]
-         assert allclose(domain.quantities['stage'].vertex_values,
-                        answer)
+         assert numpy.allclose(domain.quantities['stage'].vertex_values,
+                               answer)
 
          #print domain.quantities['friction'].vertex_values
          answer = [[0.01, 0.04, 0.03],
                    [0.01, 0.02, 0.04]]
-         assert allclose(domain.quantities['friction'].vertex_values,
-                        answer)
-
-         #print domain.quantities['friction'].vertex_values
-         assert allclose(domain.tagged_elements['dsg'][0],0)
-         assert allclose(domain.tagged_elements['ole nielsen'][0],1)
+         assert numpy.allclose(domain.quantities['friction'].vertex_values,
+                               answer)
+
+         #print domain.quantities['friction'].vertex_values
+         assert numpy.allclose(domain.tagged_elements['dsg'][0],0)
+         assert numpy.allclose(domain.tagged_elements['ole nielsen'][0],1)
 
          self.failUnless( domain.boundary[(1, 0)]  == '1',
@@ -228,7 +226,7 @@
          #domain.set_tag_dict(tag_dict)
          #Boundary tests
-         b1 =  Dirichlet_boundary(conserved_quantities = array([0.0]))
-         b2 =  Dirichlet_boundary(conserved_quantities = array([1.0]))
-         b3 =  Dirichlet_boundary(conserved_quantities = array([1.0]))
+         b1 =  Dirichlet_boundary(conserved_quantities = numpy.array([0.0]))
+         b2 =  Dirichlet_boundary(conserved_quantities = numpy.array([1.0]))
+         b3 =  Dirichlet_boundary(conserved_quantities = numpy.array([1.0]))
          #test adding a boundary
          tags = {}
